For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all addons and providers
      • POSTCreate a new addon
      • GETGet a specific addon
      • PUTUpdate an addon
      • DELDelete an addon
      • GETGet integration events for a specific integration configuration.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAddons

Get integration events for a specific integration configuration.

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/addons/:id/events
GET
/api/admin/addons/:id/events
$curl https://app.unleash-instance.example.com/api/admin/addons/id/events \
> -H "Authorization: <apiKey>"
1{
2 "integrationEvents": [
3 {
4 "id": "7",
5 "integrationId": 42,
6 "createdAt": "2023-12-27T13:37:00+01:00",
7 "state": "failed",
8 "stateDetails": "Status code: 429 - Rate limit reached.",
9 "event": {
10 "id": 1,
11 "createdAt": "2023-07-05T12:56:00.000Z",
12 "type": "feature-created",
13 "createdBy": "johndoe",
14 "createdByUserId": 1337,
15 "environment": "development",
16 "project": "default",
17 "featureName": "my.first.feature",
18 "data": {
19 "name": "new-feature",
20 "description": "Flag description",
21 "type": "release",
22 "project": "my-project",
23 "stale": false,
24 "variants": [],
25 "createdAt": "2022-05-31T13:32:20.547Z",
26 "lastSeenAt": null,
27 "impressionData": true
28 },
29 "preData": {
30 "name": "new-feature",
31 "description": "Flag description",
32 "type": "release",
33 "project": "my-project",
34 "stale": false,
35 "variants": [],
36 "createdAt": "2022-05-31T13:32:20.547Z",
37 "lastSeenAt": null,
38 "impressionData": true
39 },
40 "tags": [
41 {
42 "value": "a-tag-value",
43 "type": "simple",
44 "color": "#FFFFFF"
45 }
46 ],
47 "label": "string",
48 "summary": "string",
49 "ip": "192.168.1.1",
50 "groupType": "change-request",
51 "groupId": "01HQVX5K8P9EXAMPLE123456"
52 },
53 "details": {
54 "message": "*user@yourcompany.com* created a new *slack-app* integration configuration",
55 "channels": [
56 "engineering",
57 "unleash-updates"
58 ]
59 }
60 }
61 ]
62}
Returns a list of integration events belonging to a specific integration configuration, identified by its id.
Was this page helpful?
Previous

Get lifecycle trends

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

idstringRequired

Query parameters

limitstringOptional
The number of results to return in a page. By default it is set to 50.
offsetstringOptional
The number of results to skip when returning a page. By default it is set to 0.

Response

#/components/schemas/integrationEventsSchema

integrationEventslist of objects
A list of integration events.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error